Subject: bug#41879: 28.0.50; [Patch]: Add project-switch-to-buffer in project.el

From: Theodor Thornhill <[email-masked]>
Date: Thu, 18 Jun 2020 18:49:52 +0000

> Hi Theodor,
Hi!

> Please take a look at the attached patch.  
That's very cool! I was sitting right now doing something similar, but you beat me to it.  Sorry for not getting to it faster - life happened :)

I was struggling a little with the default buffer part, which you solved by kinda not solving it.  I was trying to determine in some way what buffer would be reasonable to offer as default value if that predicate fails.  Maybe it is best to just return nil there as you do. 

Maybe just one thing.  Eli addressed the docstring in one of the other functions as being a little ambiguous.  Maybe update it to something like:

"Switch to an open buffer in the current project."

In addition, maybe adding a small comment above the default value predicate, explaining the relation to the undocumentet structure used in this function.  Or not, maybe it is clear enough given the preceeding comment. 

Thank you for bringing this up - and fixing it!

Theo